/*!********************************************************************
 * The Initial Developer of the content of this file is NETCONOMY.
 * All portions of the code written by NETCONOMY are property of
 * NETCONOMY. All Rights Reserved.
 *
 * NETCONOMY Software & Consulting GmbH
 * Hilmgasse 4, A-8010 Graz (Austria)
 * FN 204360 f, Landesgericht fuer ZRS Graz
 * Tel: +43 (316) 815 544
 * Fax: +43 (316) 815544-99
 * www.netconomy.net
 *
 * (c) 2023 by NETCONOMY Software & Consulting GmbH
 ********************************************************************/
@use 'shop/resources/scss/base/constants/colors';
@use 'shop/resources/scss/base/mixins/breakpoints';

.item {
    @include breakpoints.screen-s-and-m {
        width: 100%;
        border-top: 1px solid colors.$color-grey;
    }
}

.trigger,
.link {
    outline: none;
    user-select: none;

    @include breakpoints.screen-l-and-up {
        border-top: none;
        padding: 0;
    }

    &:focus {
        box-shadow: 0 0 0 2px colors.$color-primary;
    }
}

.trigger {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 2px;
}

.link {
    display: block;
    text-decoration: none;
    padding: 15px;

    @include breakpoints.screen-l-and-up {
        padding: 0;
    }
}

.content {
    position: absolute;
    top: 0;
    left: 0;
    width: 90%;
    animation-duration: 250ms;
    animation-timing-function: ease;

    &[data-motion='from-start'] {
        animation-name: enterFromLeft;
    }

    &[data-motion='from-end'] {
        animation-name: enterFromRight;
    }

    &[data-motion='to-start'] {
        animation-name: exitToLeft;
    }

    &[data-motion='to-end'] {
        animation-name: exitToRight;
    }
}

.contentList {
    display: grid;
    padding: 22px;
    margin: 0;
    gap: 10px;
    list-style: none;
    width: 100%;
    grid-template-columns: 17% 17% 1fr;
    grid-template-rows: 1fr 1fr;
}

@keyframes enterFromRight {
    from {
        opacity: 0;
        transform: translateX(200px);
    }
    to {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes enterFromLeft {
    from {
        opacity: 0;
        transform: translateX(-200px);
    }
    to {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes exitToRight {
    from {
        opacity: 1;
        transform: translateX(0);
    }
    to {
        opacity: 0;
        transform: translateX(200px);
    }
}

@keyframes exitToLeft {
    from {
        opacity: 1;
        transform: translateX(0);
    }
    to {
        opacity: 0;
        transform: translateX(-200px);
    }
}
